Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007714OCamlmiddle end (typedtree to clambda)public2018-01-22 00:272018-06-20 16:12
Reporterc-cube 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformlinuxOSOS Version
Product Version4.05.0 
Target VersionFixed in Version4.07.0+dev/beta2/rc1/rc2 
Summary0007714: error during compilation with 4.05.0+flambda
DescriptionI've got a compilation error in flambda when I compile the benchmarks of containers:

> >> Fatal error: Missing renaming for specialised argument of a function being duplicated but not directly applied: add_list_/473936 -> add_list_/473334(=
(move_within_set_of_closures
  CCHashTrie.add_list__surrogate/3068 <-- CCHashTrie.add_list_/811
  (closure = add_list_/473937))).

See attached log of the build failure for more details. I've got the same error in 4.06.0+flambda.
Steps To Reproducegit clone https://github.com/c-cube/ocaml-containers [^]
cd ocaml-containers
git checkout 7df23d0ccaf9e9d36455f8ca1a2db959e6e1f868
opam install jbuilder gen sequence qcheck benchmark
make benchs
TagsNo tags attached.
Attached Filestxt file icon error.txt [^] (103,078 bytes) 2018-01-22 00:27 [Show Content]

- Relationships

-  Notes
(0018840)
lpw25 (developer)
2018-01-22 08:52

We've seen this bug once at Janestreet. There is a fix for it mixed in with the changes in:

  https://github.com/ocaml/ocaml/pull/1343 [^]

Xavier Clerc was working on a stand-alone PR for it the other day, so there should be a fix merged pretty soon.
(0019170)
xleroy (administrator)
2018-06-09 10:47

Can you please confirm this has been fixed and in which version? (4.06, 4.07?)
(0019197)
nojebar (developer)
2018-06-20 11:41

I confirm this is NOT fixed in 4.06.1.

Could not get the repro instruction to work with 4.07, so could not check if it is fixed there or not.
(0019198)
lpw25 (developer)
2018-06-20 12:32

That PR was merged in 4.07. So hopefully it is fixed there.

- Issue History
Date Modified Username Field Change
2018-01-22 00:27 c-cube New Issue
2018-01-22 00:27 c-cube File Added: error.txt
2018-01-22 08:52 lpw25 Note Added: 0018840
2018-06-09 10:47 xleroy Note Added: 0019170
2018-06-20 11:41 nojebar Note Added: 0019197
2018-06-20 12:32 lpw25 Note Added: 0019198
2018-06-20 16:12 xleroy Status new => resolved
2018-06-20 16:12 xleroy Resolution open => fixed
2018-06-20 16:12 xleroy Fixed in Version => 4.07.0+dev/beta2/rc1/rc2
2018-06-20 16:12 xleroy Steps to Reproduce Updated View Revisions


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker